Warning

This documentation only applies for the development version of Funkwhale! Visit the docs for the latest release.

Uninstall using the quick install script

The Funkwhale quick install script doesn’t currently offer an uninstall command. This is because you may be using its dependencies for other software. To uninstall a quick install Funkwhale installation, follow the instructions in this guide.

Warning

Removing Funkwhale data is irreversible. Make sure you back up your data.

Stop the Funkwhale server

Before you uninstall anything from your server, you need to stop the Funkwhale systemd services.

  1. Stop all systemd services listed under the funkwhale target

    sudo systemctl stop funkwhale.target
    
  2. Disable all systemd services to prevent launch at startup.

    sudo systemctl disable funkwhale-server
    sudo systemctl disable funkwhale-worker
    sudo systemctl disable funkwhale-beat
    
  3. Remove the service files.

    sudo rm /etc/systemd/system/funkwhale-server.service
    sudo rm /etc/systemd/system/funkwhale-worker.service
    sudo rm /etc/systemd/system/funkwhale-beat.service
    sudo rm /etc/systemd/system/funkwhale.target
    
  4. Reload all services to pick up the changes.

    sudo systemctl daemon-reload
    sudo systemctl reset-failed
    

Remove the reverse proxy

To stop serving Funkwhale from your web server, you need to remove your reverse proxy configuration.

  1. Remove the configuration files from your web host.

    sudo rm /etc/nginx/sites-enabled/funkwhale.conf
    sudo rm /etc/nginx/sites-available/funkwhale.conf
    sudo rm /etc/nginx/funkwhale_proxy.conf
    
  2. Reload the web server.

    sudo systemctl reload nginx
    
  1. Remove the configuration files from your web host.

    sudo rm /etc/apache2/sites-enabled/funkwhale.conf
    sudo rm /etc/apache2/sites-available/funkwhale.conf
    
  2. Reload the web server.

    sudo service apache2 restart
    

Remove the Funkwhale database

Warning

This action is irreversible. Make sure you have backed up your data before proceeding.

Once you have stopped the Funkwhale services, you can remove the Funkwhale database.

  1. Navigate to your Funkwhale directory.

    cd /srv/funkwhale
    
  2. Delete the Funkwhale database.

    sudo -u postgres psql -c 'DROP DATABASE funkwhale;'
    
  3. Delete the Funkwhale user.

    sudo -u postgres psql -c 'DROP USER funkwhale;'
    

Delete the Funkwhale account

Warning

This action deletes the /srv/funkwhale/ directory. Make sure you have backed up any data you want to keep.

Once you have removed the database, you can delete the funkwhale user and all associated data.

sudo userdel -r funkwhale

This deletes the funkwhale user and everything in their home directory (/srv/funkwhale/). If your content is hosted in an S3-compatible store, you need to delete this data separately.

Uninstall dependencies

The quick install script installs the following dependencies on your server:

build-essential
curl
ffmpeg
libjpeg-dev
libmagic-dev
libpq-dev
postgresql-client
python3-dev
libldap2-dev
libsasl2-dev
make
python = "^3.7"
Django = "==3.2.15"
django-environ = "==0.9.0"
Pillow = "==9.2.0"
django-allauth = "==0.42.0"
psycopg2 = "==2.9.3"
pytz = "==2022.2.1"
django-redis = "==5.2.0"
redis = "==4.3.4"
kombu = "==5.2.4"
celery = "==5.2.7"
django-cors-headers = "==3.13.0"
musicbrainzngs = "==0.7.1"
djangorestframework = "==3.13.1"
arrow = "==1.2.3"
persisting-theory = "==1.0"
django-versatileimagefield = "==2.2"
django-filter = "==22.1"
django-rest-auth = "==0.9.5"
mutagen = "==1.45.1"
django-dynamic-preferences = "==1.14.0"
python-magic = "==0.4.27"
channels = "==3.0.5"
channels-redis = "==3.4.1"
gunicorn = "==20.1.0"
cryptography = "==37.0.4"
django-cleanup = "==6.0.0"
requests = "==2.28.1"
pyOpenSSL = "21.0.0"
pydub = "==0.25.1"
PyLD = "==2.0.3"
aiohttp = "==3.8.1"
django-oauth-toolkit = "==1.7.1"
django-storages = "==1.13.1"
boto3 = "==1.24.73"
unicode-slugify = "==0.1.5"
django-cacheops = "==6.1"
service-identity = "==21.1.0"
click = "==8.1.3"
Markdown = "==3.4.1"
bleach = "==5.0.1"
feedparser = "==6.0.10"
watchdog = "==2.1.9"
asgiref = "==3.5.2" #1516
ipython = "==7.34.0"
python-ldap = "==3.4.2"
django-auth-ldap = "==4.1.0"
uvicorn = {version = "==0.18.3", extras = ["standard"]}
django-cache-memoize = "0.1.10"
requests-http-message-signatures = "==0.3.1"
drf-spectacular = "==0.23.1"

Uninstall any dependencies you don’t need.